[icinga-checkins] icinga.org: icinga2/master: proper return value checking of libtoolize dry-run refs #3021

git at icinga.org git at icinga.org
Tue Jan 29 15:35:48 CET 2013


Module: icinga2
Branch: master
Commit: 8d781bdc56e8d72638d0a4b7f81a1cfca95bf379
URL:    https://git.icinga.org/?p=icinga2.git;a=commit;h=8d781bdc56e8d72638d0a4b7f81a1cfca95bf379

Author: Michael Friedrich <michael.friedrich at netways.de>
Date:   Tue Jan 29 15:34:08 2013 +0100

proper return value checking of libtoolize dry-run refs #3021

ran into that with debian squeeze and sh.

---

 autogen.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 52488df..fe91b7e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -127,7 +127,7 @@ esac
 
 # verify that libtool-ltdl-devel is installed
 echo "Running libtoolize dry-run..."
-if ! libtoolize --dry-run --quiet --copy; then
+if ! `libtoolize --dry-run --quiet --copy` ; then
   echo ""
   echo "**Error**: libtoolize cannot detect necessary files."
   echo ""





More information about the icinga-checkins mailing list